Bug 1343239 - Update to nss 3.24.0 removes sslkeylogfile file support
Summary: Update to nss 3.24.0 removes sslkeylogfile file support
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: nss
Version: 23
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Elio Maldonado Batiz
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-06-06 22:15 UTC by Till Maas
Modified: 2016-06-13 20:55 UTC (History)
4 users (show)

Fixed In Version: nss-3.24.0-1.3.fc23
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-06-13 20:55:26 UTC
Type: Bug


Attachments (Terms of Use)
allows sslkeylog file in opt builds (963 bytes, patch)
2016-06-09 14:53 UTC, Elio Maldonado Batiz
rrelyea: review+
Details | Diff

Description Till Maas 2016-06-06 22:15:36 UTC
Description of problem:
The update to nss 3.24.0 removes the support for the SSLKEYLOGFILE variable, which allows to analyze TLS traffic easily: https://www.m00nie.com/2015/05/decrypt-https-ssltls-with-wireshark/

This is because NSS_ALLOW_SSLKEYLOGFILE was introduced and set to zero by default:
https://developer.mozilla.org/en-US/docs/Mozilla/Projects/NSS/Reference/NSS_environment_variables

Removing this support in a stable Fedora release is a pretty drastic step, since updates are supposed to be more stable. Therefore please consider enabling this again and only deprecate it with proper announcements in a new Fedora release.

Comment 1 Elio Maldonado Batiz 2016-06-09 14:53:04 UTC
Created attachment 1166334 [details]
allows sslkeylog file in opt builds

This is to applied for stable branches only f23 and f22.

Comment 2 Elio Maldonado Batiz 2016-06-09 14:54:34 UTC
scratch build with the patch applied available at  
http://koji.fedoraproject.org/koji/taskinfo?taskID=14435717

Comment 3 Bob Relyea 2016-06-09 21:56:53 UTC
Comment on attachment 1166334 [details]
allows sslkeylog file in opt builds

r+ for stable branches.

Comment 4 Fedora Update System 2016-06-10 21:21:37 UTC
nss-3.24.0-1.3.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-342d89590d

Comment 5 Fedora Update System 2016-06-12 23:51:55 UTC
nss-3.24.0-1.3.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-342d89590d

Comment 6 Fedora Update System 2016-06-13 20:55:22 UTC
nss-3.24.0-1.3.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.